<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>PARTE 1</title>
</head>
<body>
	<div class="wrapper">
		<div>Filas <input type="number" name="filas" id="filas"></div>
		<div>Columnas <input type="number" name="cols" id="cols"></div>
		<input type="submit" value="Crear" name="boton" onclick="generar()">
	</div>
	<script type="text/javascript">
		function generar(){
			var filas = document.getElementById("filas").value;
			var cols = document.getElementById("cols").value;
			
			var nventana = window.open();
			//nventana.document.write('<link rel="stylesheet" type="text/css" href="1.css">');
			var tabla = nventana.document.createElement("div");
			tabla.className = 'tabla';
			nventana.document.body.appendChild(tabla);
			for(var i = 0; i < filas; i++){
				var fila = nventana.document.createElement("div");
				fila.className = 'fila';
				tabla.appendChild(fila);
				for(var j = 0; j < cols; j++){
					var celda = nventana.document.createElement("div");
					celda.className = 'celda';
					var placeholder = nventana.document.createTextNode("placeholder");
					fila.appendChild(celda);
					celda.appendChild(placeholder);
				}
			}
		}
	</script>
</body>
</html>